Jump to Content
Threatray
HomeGuidesAPI Reference
Threatray
API Reference
HomeGuidesAPI Reference
All
Pages
Start typing to search…

Getting started

  • Overview
  • Authentication
  • Core Entities

Threatray API

  • Submission
    • Reanalyze a sample by hash.post
    • List sample submissions.get
    • List endpoint scan submissions.get
    • Submit an endpoint scan archive.post
    • Submit a MANS file.post
    • Submit a minidump.post
    • Submit samples for analysis.post
    • Submit URLs for analysis.post
    • List tasks.get
    • Get task by analysis ID.get
    • Get a task by ID.get
  • Analysis Report
    • Delete an analysis.del
    • Get an analysis by ID.get
    • List endpoint scan analyses.get
    • List sample analyses.get
    • Download file data by hash.get
    • Get file metadata by hash.get
    • Get OSINT data for an analysis.get
    • Delete a sample by hash.del
    • Get a sample by hash.get
    • Delete a sample analysis.del
    • Get a sample analysis by ID.get
    • Get functions for a file.get
    • List code detections for functions.get
  • Search
    • Search analyses.get
  • YARA
    • Fetch a list of Yara rulesets.get
    • Create a new Yara ruleset.post
    • Fetch a specific Yara ruleset.get
    • Update a Yara ruleset.put
    • Delete a Yara ruleset.del
    • Update the rules within a Yara ruleset.put
  • File Insights
    • Get the latest CAPA analysis for a fileget
    • Submit a file for CAPA analysispost
    • Get the status of a CAPA analysis jobget
Powered by 

Delete a sample by hash.

delete
https://api-YOUR-INSTANCE.analysis.threatray.com/v1/samples/

Delete a sample and all its analyses identified by hash (MD5, SHA1, SHA256).

Language